<?php

/**
 * @file
 * Theme functions for the AI Upgrade Assistant module.
 */

use Drupal\Core\Template\Attribute;

/**
 * Prepares variables for the upgrade status template.
 *
 * Default template: ai-upgrade-status.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - status: The current status (success, warning, error, info).
 *   - title: The status title.
 *   - message: The status message.
 */
function template_preprocess_ai_upgrade_status(array &$variables) {
  // Default preprocessing is handled by the ThemePreprocessor service.
}

/**
 * Prepares variables for the upgrade analysis template.
 *
 * Default template: ai-upgrade-analysis.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - sections: An array of analysis sections.
 *   - charts: An array of chart data (optional).
 */
function template_preprocess_ai_upgrade_analysis(array &$variables) {
  // Default preprocessing is handled by the ThemePreprocessor service.
}

/**
 * Prepares variables for the upgrade progress template.
 *
 * Default template: ai-upgrade-progress.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - completed: Number of completed items.
 *   - total: Total number of items.
 */
function template_preprocess_ai_upgrade_progress(array &$variables) {
  // Default preprocessing is handled by the ThemePreprocessor service.
}
