<?php

/**
 * @file
 * A script to set the OpenAI API key directly in Drupal's state system.
 */

use Drupal\Core\DrupalKernel;
use Symfony\Component\HttpFoundation\Request;

// Bootstrap Drupal
$autoloader = require_once 'autoload.php';
$request = Request::createFromGlobals();
$kernel = DrupalKernel::createFromRequest($request, $autoloader, 'prod');
$kernel->boot();
$kernel->preHandle($request);
$container = $kernel->getContainer();

// Get state service
$state = $container->get('state');

// Set the API key
$api_key = 'sk-proj-8uIExBW_r28l1bdq1KS5N-oet5iAlipw5KwVmFgwAAT6qSbwZUH3Ro_J6_46Fk2wVutjk8H3lZT3BlbkFJ9Tmh3EDdYWZgbhsaVq0kBmnoeQrhBtgDA0BLRy';
$state->set('ai_upgrade_assistant.openai_api_key', $api_key);

// Verify the key was set
$saved_key = $state->get('ai_upgrade_assistant.openai_api_key');
if ($saved_key === $api_key) {
  echo "API key successfully saved.\n";
} else {
  echo "Failed to save API key.\n";
}
